import type { Meta, StoryObj } from '@storybook/vue3';

import areaCountDialog from '../src';

// More on how to set up stories at: https://storybook.js.org/docs/vue/writing-stories/introduction
const meta = {
  title: 'cssc-ment/components/area-count-dialog',
  component: areaCountDialog,
  // This component will have an automatically generated docsPage entry: https://storybook.js.org/docs/vue/writing-docs/autodocs
  tags: ['autodocs'],
  // argTypes: {
  //   size: { control: 'select', options: ['small', 'medium', 'large'] },
  //   backgroundColor: { control: 'color' },
  //   onClick: { action: 'clicked' },
  // },
  // args: {  }, // default value
} satisfies Meta<typeof areaCountDialog>;

export default meta;
type Story = StoryObj<typeof meta>;
/*
 *👇 Render functions are a framework specific feature to allow you control on how the component renders.
 * See https://storybook.js.org/docs/vue/api/csf
 * to learn how to use render functions.
 */
export const Primary: Story = {
  args: {
    data: [
      {
        mmsi: '413399850',
        name: 'ZHIXIN005',
        lon: 121.9306,
        lat: 29.7025,
        course: '13.2',
        time: null,
        shipType: '其他',
        imo: '0',
        callSign: 'QOERO',
        length: 28,
        width: 6,
      },

      {
        mmsi: '412436049',
        name: 'ZHEXIANGYUYANG01121',
        lon: 121.9436,
        lat: 29.6395,
        course: '0.5',
        time: null,
        shipType: '渔船',
        imo: '0',
        callSign: '01121',
        length: 26,
        width: 4,
      },
      {
        mmsi: '412750240',
        name: 'JINFUXING58',
        lon: 121.9456,
        lat: 29.6375,
        course: '0.0',
        time: null,
        shipType: '货船',
        imo: '0',
        callSign: 'BPDP2',
        length: 135,
        width: 19,
      },
      {
        mmsi: '414425000',
        name: 'JIA HANG SHUN',
        lon: 121.9462,
        lat: 29.6544,
        course: '32.0',
        time: null,
        shipType: '货船',
        imo: '9222613',
        callSign: 'BTHA9',
        length: 190,
        width: 32,
      },
      {
        mmsi: '413698707',
        name: 'SAI DU JIAO SHOU',
        lon: 121.946877,
        lat: 29.636858,
        course: '48.4',
        time: null,
        shipType: '货船',
        imo: '9861548',
        callSign: 'CRXE',
        length: 110,
        width: 16,
      },
      {
        mmsi: '255970000',
        name: 'SIDER UNICORN',
        lon: 121.9469,
        lat: 29.6369,
        course: '63.7',
        time: null,
        shipType: '货船',
        imo: '9861548',
        callSign: 'CRXE',
        length: 110,
        width: 16,
      },
      {
        mmsi: '414402860',
        name: 'YONGHONGHAI',
        lon: 121.9476,
        lat: 29.6366,
        course: '0.0',
        time: null,
        shipType: '货船',
        imo: '0',
        callSign: 'BVBB5',
        length: 145,
        width: 22,
      },
      {
        mmsi: '413706490',
        name: 'DONGRUN3',
        lon: 121.9477,
        lat: 29.6367,
        course: '0.2',
        time: null,
        shipType: '货船',
        imo: '0',
        callSign: 'BTKB4',
        length: 160,
        width: 25,
      },
      {
        mmsi: '994121546',
        name: 'WAI GAN MEN 2',
        lon: 121.9481,
        lat: 29.645,
        course: '0.0',
        time: null,
        shipType: '其他',
        imo: null,
        callSign: null,
        length: null,
        width: null,
      },
      {
        mmsi: '414350330',
        name: 'ZHENGANG824',
        lon: 121.9524,
        lat: 29.6413,
        course: '37.3',
        time: null,
        shipType: '作业船',
        imo: '0',
        callSign: '0',
        length: 35,
        width: 6,
      },
      {
        mmsi: '413298580',
        name: 'YIHAIYUNWEI09',
        lon: 121.9526,
        lat: 29.6398,
        course: '31.1',
        time: null,
        shipType: '作业船',
        imo: '0',
        callSign: '0',
        length: 40,
        width: 8,
      },
      {
        mmsi: '413532480',
        name: 'YIHAIYUNWEIZHE03',
        lon: 121.9527,
        lat: 29.6405,
        course: '30.1',
        time: null,
        shipType: '作业船',
        imo: '0',
        callSign: null,
        length: 39,
        width: 8,
      },
      {
        mmsi: '413519330',
        name: 'SHUNHANGYUNWEI16',
        lon: 121.952783,
        lat: 29.640753,
        course: '43.0',
        time: null,
        shipType: '作业船',
        imo: '0',
        callSign: null,
        length: 43,
        width: 9,
      },
      {
        mmsi: '413399620',
        name: 'XIANGQIAN18',
        lon: 121.9528,
        lat: 29.6407,
        course: '98.2',
        time: null,
        shipType: '作业船',
        imo: '0',
        callSign: null,
        length: 43,
        width: 9,
      },
      {
        mmsi: '413394620',
        name: 'HAILONGJIAOCE001',
        lon: 121.9557,
        lat: 29.7175,
        course: '7.4',
        time: null,
        shipType: '作业船',
        imo: '0',
        callSign: null,
        length: 28,
        width: 6,
      },
      {
        mmsi: '412437573',
        name: 'ZHEXIANGYU05316',
        lon: 121.9561,
        lat: 29.6322,
        course: '0.0',
        time: null,
        shipType: '渔船',
        imo: '0',
        callSign: null,
        length: 5,
        width: 2,
      },
      {
        mmsi: '412436666',
        name: 'ZHEXIANGYU06049',
        lon: 121.9566,
        lat: 29.6329,
        course: '0.0',
        time: null,
        shipType: '渔船',
        imo: '0',
        callSign: null,
        length: 12,
        width: 3,
      },
      {
        mmsi: '413506080',
        name: 'XINXINGHANG',
        lon: 121.9572,
        lat: 29.6622,
        course: '0.6',
        time: null,
        shipType: '货船',
        imo: '0',
        callSign: 'BMRF',
        length: 97,
        width: 16,
      },
      {
        mmsi: '413352680',
        name: 'HAI CHANG RUN',
        lon: 121.9636,
        lat: 29.6709,
        course: '101.3',
        time: null,
        shipType: '货船',
        imo: '0',
        callSign: 'BHSW',
        length: 97,
        width: 16,
      },
      {
        mmsi: '413286490',
        name: 'QIANAN',
        lon: 121.9664,
        lat: 29.7309,
        course: '69.0',
        time: null,
        shipType: '作业船',
        imo: '9541095',
        callSign: 'BOQT5',
        length: 59,
        width: 14,
      },
      {
        mmsi: '413206810',
        name: 'WANXIANG992',
        lon: 121.968,
        lat: 29.7381,
        course: '73.5',
        time: null,
        shipType: '货船',
        imo: '0',
        callSign: '992',
        length: 49,
        width: 15,
      },
      {
        mmsi: '413268960',
        name: 'RUIXIANG37',
        lon: 121.971835,
        lat: 29.739047,
        course: '43.8',
        time: null,
        shipType: '货船',
        imo: '0',
        callSign: 'P 0',
        length: 49,
        width: 9,
      },

      {
        mmsi: '412590760',
        name: 'HAI TIAN HAO',
        lon: 121.994587,
        lat: 29.721883,
        course: '0.0',
        time: null,
        shipType: '作业船',
        imo: '0',
        callSign: 'BUXN',
        length: 86,
        width: 24,
      },
      {
        mmsi: '413280230',
        name: 'QIRUI106',
        lon: 121.9946,
        lat: 29.7384,
        course: '82.6',
        time: null,
        shipType: '作业船',
        imo: '0',
        callSign: 'QJ0PDO',
        length: 40,
        width: 11,
      },

      {
        mmsi: '900405206',
        name: null,
        lon: 122.0111,
        lat: 29.74,
        course: '48.1',
        time: null,
        shipType: '渔船',
        imo: null,
        callSign: null,
        length: 14,
        width: 3,
      },
      {
        mmsi: '413035070',
        name: 'HAIXUN07008',
        lon: 122.011527,
        lat: 29.625078,
        course: '17.4',
        time: null,
        shipType: '其他',
        imo: '134217867',
        callSign: 'BLTA3',
        length: 0,
        width: 0,
      },
      {
        mmsi: '412424363',
        name: 'ZHEPUYUYUN18801',
        lon: 122.0119,
        lat: 29.7406,
        course: '28.5',
        time: null,
        shipType: '渔船',
        imo: '0',
        callSign: '0000000',
        length: 15,
        width: 3,
      },
      {
        mmsi: '994126305',
        name: 'XGHL02',
        lon: 122.0133,
        lat: 29.6283,
        course: '0.0',
        time: null,
        shipType: '其他',
        imo: null,
        callSign: null,
        length: 8,
        width: 97,
      },
      {
        mmsi: '413502010',
        name: 'YUANSHUNDA88',
        lon: 122.016,
        lat: 29.657,
        course: '102.2',
        time: null,
        shipType: '货船',
        imo: '200792954',
        callSign: 'BMUS',
        length: 97,
        width: 16,
      },
      {
        mmsi: '413570450',
        name: 'FU YANG88',
        lon: 122.0167,
        lat: 29.6328,
        course: '0.7',
        time: null,
        shipType: null,
        imo: null,
        callSign: 'BEHR',
        length: null,
        width: 14,
      },

      {
        mmsi: '413242420',
        name: 'HAI YANG 96',
        lon: 122.0274,
        lat: 29.7318,
        course: '63.8',
        time: null,
        shipType: '货船',
        imo: '0',
        callSign: '0',
        length: 52,
        width: 10,
      },

      {
        mmsi: '413437370',
        name: 'XINGYANG17',
        lon: 122.0518,
        lat: 29.7149,
        course: '96.3',
        time: null,
        shipType: '货船',
        imo: '0',
        callSign: 'BKWR4',
        length: 62,
        width: 15,
      },
      {
        mmsi: '413358390',
        name: 'SHUNJUN003',
        lon: 122.0528,
        lat: 29.7104,
        course: '97.6',
        time: null,
        shipType: '货船',
        imo: '0',
        callSign: null,
        length: 67,
        width: 14,
      },

      {
        mmsi: '900678238',
        name: 'ZHEPUYU01258',
        lon: 122.0617,
        lat: 29.6763,
        course: '61.7',
        time: null,
        shipType: '渔船',
        imo: '0',
        callSign: '01258',
        length: 15,
        width: 3,
      },
      {
        mmsi: '413224970',
        name: 'GUOXIN66',
        lon: 122.0621,
        lat: 29.7031,
        course: '0.0',
        time: null,
        shipType: '货船',
        imo: '0',
        callSign: null,
        length: 60,
        width: 13,
      },
    ],
  },
};
